package org.apidesign.apifest08.currency;

/**
 * Top level runtime exception for 'currency' API.
 */
public class CurrencyException extends RuntimeException{

	private static final long serialVersionUID = 1L;

	public CurrencyException() {
		super();		
	}

	public CurrencyException(String message, Throwable cause) {
		super(message, cause);		
	}

	public CurrencyException(String message) {
		super(message);		
	}

	public CurrencyException(Throwable cause) {
		super(cause);		
	}
}
