/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package org.apidesign.apifest08.currency;

/**
 *
 * @author jdvorak
 */
public class DelegatingConvertor implements Convertor {
    
    private final Convertor underlyingConvertor;

    public DelegatingConvertor( final Convertor underlyingConvertor ) {
        this.underlyingConvertor = underlyingConvertor;
    }

    protected Convertor getUnderlyingConvertor() {
        return underlyingConvertor;
    }
    
    public ConversionResult convert( final ConversionRequest req ) {
        return underlyingConvertor.convert( req );
    }
    
}
